#!/bin/sh
name=quickrex

# Usage message
usage="usage: $0 <cvs_tag>"

tag=$1
tar_name=$name-fetched-src-$tag

# Ensure we got the desired CVS tag
if [ "x$tag"x = "xx" ]
then
        echo >&2 "$usage"
        exit 1
fi

cvs -q -z3 -d:pserver:anonymous@quickrex.cvs.sourceforge.net:/cvsroot/quickrex export -r $tag Plug-In
#cvs -q -z3 -d:pserver:anonymous@quickrex.cvs.sourceforge.net:/cvsroot/quickrex co -P I18N

# remove unneeded files
rm -frv Plug-In/*.zip Plug-In/*.jar Plug-In/lib/*.jar
# remove unneded files
#rm -frv I18N/*.zip

# cleanup dir
rm -fr $tar_name
# prepare archive
mkdir $tar_name
mv -v Plug-In $tar_name
# create archive
tar -cjf $tar_name.tar.bz2 $tar_name

